%define cid	opensc-pkcs11-autoload@altlinux.org
%define ciddir	%firefox_arch_extensionsdir/%cid

Name: firefox-opensc-pkcs11-autoload
Version: 1.0
Release: alt1

Summary: OpenSC PKCS#11 autoload
Group: System/Configuration/Other
License: GPL

Requires: libopensc

Source: %name-%version.tar

BuildRequires(pre): rpm-build-firefox
# Automatically added by buildreq on Wed Aug 05 2009 (-bi)
BuildRequires: zip

%description
This extension autoloads OpenSC PKCS#11 module

%prep
%setup

%build
# This is why this extension can not be noarch...
sed -i 's,@LIBDIR@,%_libdir,' content/overlay.js
./build.sh

%install
mkdir -p %buildroot/%ciddir
cp -dpr build/* %buildroot/%ciddir

%files
%ciddir

%changelog
* Wed Aug 05 2009 Alexey I. Froloff <raorn@altlinux.org> 1.0-alt1
- Initial build
